GestionBddDAO

## Class GestionReponses

- java.lang.Object
- - GestionBddDAO.GestionReponses

-     public class GestionReponses
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.sql.Connection` | `bdd` Connexion à la base de données.
    `private java.util.ArrayList<Reponses>` | `listReponses` Tableau contenant la liste de toutes les réponses stockées en base de données.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GestionReponses(java.sql.Connection bdd)` Constructeur donnant accées à la base de données.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `createReponses(java.lang.String nomCategorie, java.lang.String reponse1, java.lang.String reponse2)` Crée un nouveau jeu de réponses.
    `void` | `deleteReponses(java.lang.String reponse1, java.lang.String reponse2)` Supprime un jeu de réponses.
    `java.util.ArrayList<Reponses>` | `getListReponses()` Renvoie le tableau interne contenant les réponses.
    `void` | `readReponses(java.lang.String nomCategorie)` Remplis le tableau interne avec la liste des jeux de réponses depuis la base de données.
    `void` | `updateReponses(java.lang.String categorie, java.lang.String oldRep1, java.lang.String oldRep2, java.lang.String newRep1, java.lang.String newRep2)` Modifie un jeu de réponses.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### bdd

          private java.sql.Connection bdd

      Connexion à la base de données.

    - #### listReponses

          private java.util.ArrayList<Reponses> listReponses

      Tableau contenant la liste de toutes les réponses stockées en base de données.

  - ### Constructor Detail

    - #### GestionReponses

          public GestionReponses(java.sql.Connection bdd)

      Constructeur donnant accées à la base de données.
      Parameters:
        `bdd` - La connexion à la base de données.

  - ### Method Detail

    - #### readReponses

          public void readReponses(java.lang.String nomCategorie)
                            throws java.sql.SQLException

      Remplis le tableau interne avec la liste des jeux de réponses depuis la base de données.
      Parameters:
        `nomCategorie` - La catégorie des jeux de réponses à récupérer.
      Throws:
        `java.sql.SQLException` - Si une erreur SQL survient.

    - #### createReponses

          public void createReponses(java.lang.String nomCategorie,
                            java.lang.String reponse1,
                            java.lang.String reponse2)
                              throws java.sql.SQLException

      Crée un nouveau jeu de réponses.
      Parameters:
        `nomCategorie` - La catégorie du jeu de réponses.
        `reponse1` - La réponse une du jeu à créer.
        `reponse2` - La réponse deux du jeu à créer.
      Throws:
        `java.sql.SQLException` - Si une erreur SQL survient.

    - #### deleteReponses

          public void deleteReponses(java.lang.String reponse1,
                            java.lang.String reponse2)
                              throws java.sql.SQLException

      Supprime un jeu de réponses.
      Parameters:
        `reponse1` - La réponse une du jeu à supprimer.
        `reponse2` - La réponse deux du jeu à supprimer.
      Throws:
        `java.sql.SQLException` - Si une erreur SQL survient.

    - #### updateReponses

          public void updateReponses(java.lang.String categorie,
                            java.lang.String oldRep1,
                            java.lang.String oldRep2,
                            java.lang.String newRep1,
                            java.lang.String newRep2)
                              throws java.sql.SQLException

      Modifie un jeu de réponses.
      Parameters:
        `categorie` - Nouvelle catégorie.
        `oldRep1` - Ancienne réponse une.
        `oldRep2` - Ancienne réponse deux.
        `newRep1` - Nouvelle réponse une.
        `newRep2` - Nouvelle réponse deux.
      Throws:
        `java.sql.SQLException` - Si une erreur SQL survient.

    - #### getListReponses

          public java.util.ArrayList<Reponses> getListReponses()

      Renvoie le tableau interne contenant les réponses.
      Returns:
        Un tableau d'objets Réponses.